Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 04/03/2010, à 20:59

ValentinWFP

[résolu] apt-get et lien symbolique

Voilà mon problème: à chaque fois que j'utilise apt-get pour installer ou supprimer un programme, j'ai (et ce depuis quelque jours seulement) ces lignes qui s'affichent a la fin:

/sbin/ldconfig.real: /usr/lib/libgtk-1.2.so.0 n'est pas un lien symbolique

/sbin/ldconfig.real: /usr/lib/libgdk-1.2.so.0 n'est pas un lien symbolique

/sbin/ldconfig.real: /usr/lib/libgthread-1.2.so.0 n'est pas un lien symbolique

/sbin/ldconfig.real: /usr/lib/libglib-1.2.so.0 n'est pas un lien symbolique

/sbin/ldconfig.real: /usr/lib/libgmodule-1.2.so.0 n'est pas un lien symbolique

Je ne fais pas à quoi elles correspondent ni comment les enlever.

Merci d'avance smile

Dernière modification par ValentinWFP (Le 05/03/2010, à 22:42)

Hors ligne

#2 Le 04/03/2010, à 21:22

lauben

Re : [résolu] apt-get et lien symbolique

Bonsoir,
Cela doit venir du lien symbolique ligtk-1.2.so.0 qui est brisé. C'est un peu comme un raccourci sous Windows. Essaie de taper

ls -l /usr/lib/libgtk-1.2.so.0

et

dpkg -l |grep libgtk

.
. Et poste le résultat STP.
Sous quel ubuntu es tu ?

Cordialement,
Ben

Dernière modification par lauben (Le 04/03/2010, à 21:39)

Hors ligne

#3 Le 04/03/2010, à 22:05

ValentinWFP

Re : [résolu] apt-get et lien symbolique

Alors, je suis en 9.10 et voilà ce que répond le terminal:


valentin@valentin-laptop:~$ ls -l /usr/lib/libgtk-1.2.so.0
-rw-r--r-- 1 root root 1333116 2010-02-23 18:19 /usr/lib/libgtk-1.2.so.0

et

valentin@valentin-laptop:~$ dpkg -l |grep libgtk
ii  libgtk-vnc-1.0-0                           0.3.9-1ubuntu2                                       A VNC viewer widget for GTK+ (runtime librar
rc  libgtk1.2                                  1.2.10-18.1build2                                    The GIMP Toolkit set of widgets for X
rc  libgtk1.2-common                           1.2.10-18.1build2                                    Common files for the GTK+ library
ii  libgtk2-perl                               1:1.221-4                                            Perl interface to the 2.x series of the Gimp
ii  libgtk2.0-0                                2.18.3-1ubuntu2.2                                    The GTK+ graphical user interface library
ii  libgtk2.0-bin                              2.18.3-1ubuntu2.2                                    The programs for the GTK+ graphical user int
ii  libgtk2.0-cil                              2.12.9-1                                             CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                           2.18.3-1ubuntu2.2                                    Common files for the GTK+ graphical user int
ii  libgtkglext1                               1.2.0-1ubuntu1                                       OpenGL Extension to GTK+ (shared libraries)
ii  libgtkhtml-editor-common                   1:3.28.1-0ubuntu1                                    HTML rendering/editing library - editor widg
ii  libgtkhtml-editor0                         1:3.28.1-0ubuntu1                                    HTML rendering/editing library - editor widg
ii  libgtkhtml2-0                              2.11.1-2ubuntu2                                      HTML rendering/editing library - runtime fil
ii  libgtkhtml3.14-19                          1:3.28.1-0ubuntu1                                    HTML rendering/editing library - runtime fil
ii  libgtkhtml3.16-cil                         2.26.0-1                                             CLI binding for GtkHTML 3.24
ii  libgtkmm-2.4-1c2a                          1:2.18.2-1                                           C++ wrappers for GTK+ 2.4 (shared libraries)
ii  libgtksourceview-common                    1.8.5-2                                              common files for the GTK+ syntax highlightin
ii  libgtksourceview1.0-0                      1.8.5-2                                              shared libraries for the GTK+ syntax highlig
ii  libgtksourceview2.0-0                      2.8.1-1                                              shared libraries for the GTK+ syntax highlig
ii  libgtksourceview2.0-common                 2.8.1-1                                              common files for the GTK+ syntax highlightin
ii  libgtkspell0                               2.0.15-0ubuntu1                                      a spell-checking addon for GTK's TextView wi

En tout cas, merci beaucoup pour l'aide et la vitesse de réponse ^^

Hors ligne

#4 Le 05/03/2010, à 01:51

lauben

Re : [résolu] apt-get et lien symbolique

Bonjour,
Est ce que les paquets libgtk1.2 et libgtk1.2-common sont ils bien installés ?
Si ce n'est pas le cas, installe les

sudo apt-get install libgtk1.2 libgtk1.2-common

Sinon réinstalle les ...

sudo apt-get install --reinstall libgtk1.2 libgtk1.2-common

Si cela t'enlève une ligne, alors il faut faire de meme en installant les autres paquets...
Sinon, il faut rétablir le lien symbolique,
Cordialement,
Benoit

Dernière modification par lauben (Le 05/03/2010, à 02:00)

Hors ligne

#5 Le 05/03/2010, à 02:31

kyncani

Re : [résolu] apt-get et lien symbolique

Je ne vois pas de libgtk1.2 nul part dans les repos 9.10, je dirais que ce sont des .deb d'anciennes librairies (gtk1.2, c'est vieux) que tu n'aurais pas dû installé, que tu as supprimé, mais qui ne fonctionnenet pas correctement et ont laissé derrière les librairies qui donnent les messages d'erreur.

Essaie pour chaque librairie : dpkg -S /usr/lib/la-lib-qui-deconne.so.0

Ca va chercher à quel package appartient telle ou telle librairie. Si les libs qui déconnent n'appartiennet à aucun package, moi je les supprimerai sans plus de cérémonie. (sudo rm -f /usr/lib/la-lib...).

Hors ligne

#6 Le 05/03/2010, à 16:39

ValentinWFP

Re : [résolu] apt-get et lien symbolique

Ces lib sont effectivement obsolètes. Elles se trouvaient là car je les y ai mises manuellement pour faire fonctionner ePSXe (emulateur PSX). J'avais complètement oublié que j'avais fait cette manip'. J'ai supprimé ePSXe et mis les lib dans un fichier a part dans mon dossier personnel (au cas où l'envie me prend de réinstaller l'emulateur) et les lignes n'apparaissent plus.

Merci pour l'aide en tout cas big_smile

J'ai un autre soucis concernant apt-get (promis après j'arrete) ces lignes s'affichent:

Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

Est-ce normal? (je ne sais pas depuis combien de temps il fait ca mais assez longtemps quand meme)
(Dois-je plutot créer un autre topic? et mettre celui-la [resolu]?)

Hors ligne

#7 Le 05/03/2010, à 21:43

kyncani

Re : [résolu] apt-get et lien symbolique

Ha, ça ce doit être un/plusieurs packages qui ont un bug. J'ai souvent vu ça mais tout a quand même très bien fonctionné. Pas d'inquiétude donc en ce qui me concerne.

Hors ligne

#8 Le 05/03/2010, à 22:41

ValentinWFP

Re : [résolu] apt-get et lien symbolique

Ok. Bon eh bien ce sera tout alors big_smile

Un grand merci à kyncani et lauben pour votre aide ^^

Hors ligne

Haut de page ↑